Skip to content
Browse files

fix 'rake gem' to work with early rubies

For some reason s.files << x doesn't have any effect on the one Ruby 1.8.7
install I have at hand.
  • Loading branch information...
1 parent 0a2678e commit a64e9d3a7c4ab39694fd77691b8a364faf968784 @wmorgan committed
Showing with 1 addition and 1 deletion.
  1. +1 −1 Rakefile
View
2 Rakefile
@@ -11,7 +11,7 @@ spec = Gem::Specification.new do |s|
s.summary = "a Ruby binding to LevelDB"
s.homepage = "http://github.com/wmorgan/leveldb-ruby"
s.files = %w(README ext/leveldb/extconf.rb ext/leveldb/platform.rb lib/leveldb.rb ext/leveldb/leveldb.cc leveldb/Makefile leveldb/build_detect_platform)
- Find.find("leveldb") { |x| s.files << x if x =~ /\.(cc|h)$/}
+ Find.find("leveldb") { |x| s.files += [x] if x =~ /\.(cc|h)$/}
s.extensions = %w(ext/leveldb/extconf.rb)
s.executables = []
s.extra_rdoc_files = %w(README ext/leveldb/leveldb.cc)

0 comments on commit a64e9d3

Please sign in to comment.
Something went wrong with that request. Please try again.